OCF_HEARTBEAT_WAS6(7)

NAME
ocf_heartbeat_WAS6 - Manages a WebSphere Application Server 6 instance

SYNOPSIS

WAS6 [start | stop | status | monitor | meta-data | validate-all]

DESCRIPTION

Resource script for WAS6. It manages a Websphere Application Server (WAS6) as an HA resource.

SUPPORTED PARAMETERS

profile
    The WAS profile name.

    (optional, string, default "default")

SUPPORTED ACTIONS

This resource agent supports the following actions (operations):

start
    Starts the resource. Suggested minimum timeout: 300s.

stop
    Stops the resource. Suggested minimum timeout: 300s.

status
    Performs a status check. Suggested minimum timeout: 30s. Suggested interval: 10s.

monitor
    Performs a detailed status check. Suggested minimum timeout: 30s. Suggested interval: 10s.

validate-all
    Performs a validation of the resource configuration. Suggested minimum timeout: 5s.

meta-data
    Retrieves resource agent metadata (internal use only). Suggested minimum timeout: 5s.

methods
    Suggested minimum timeout: 5s.

EXAMPLE CRM SHELL

The following is an example configuration for a WAS6 resource using the crm(8) shell:

    primitive p_WAS6 ocf:heartbeat:WAS6 \
      op monitor depth="0" timeout="30s" interval="10s"

EXAMPLE PCS

The following is an example configuration for a WAS6 resource using pcs(8)

    pcs resource create p_WAS6 ocf:heartbeat:WAS6 \
      op monitor OCF_CHECK_LEVEL="0" timeout="30s" interval="10s"

SEE ALSO

http://clusterlabs.org/

AUTHOR

ClusterLabs contributors (see the resource agent source for information about individual authors)